Bug 852543 (zlib-ada) - Review Request: zlib-ada - an Ada binding to Zlib
Summary: Review Request: zlib-ada - an Ada binding to Zlib
Keywords:
Status: CLOSED ERRATA
Alias: zlib-ada
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 810676
TreeView+ depends on / blocked
 
Reported: 2012-08-28 21:16 UTC by Björn Persson
Modified: 2012-09-18 00:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-17 17:35:26 UTC
Type: Bug
pavel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Björn Persson 2012-08-28 21:16:22 UTC
Zlib-Ada is a thick Ada binding to the popular compression/decompression library Zlib.

Spec and source RPM coming soon.

Comment 1 Pavel Zhukov 2012-08-29 04:17:51 UTC
Thanks Björn
I'll review it.

Comment 2 Björn Persson 2012-08-30 23:46:23 UTC
There should hopefully be a new release soon, which I assume will be numbered 1.4, but until then, here's a package with a snapshot of the CVS head.

https://www.rombobjörn.se/packages/zlib-ada.spec
https://www.rombobjörn.se/packages/zlib-ada-1.4-0.1.20120830CVS.fc17.src.rpm

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4439852

Comment 3 Pavel Zhukov 2012-09-01 16:09:31 UTC
Devel and debuginfo packages contain executable *.adb in _docdir and debug folders readme.txt from main package contains also executable. I think you should remove executable bit from sources

Comment 4 Björn Persson 2012-09-01 19:29:18 UTC
(In reply to comment #3)
> Devel and debuginfo packages contain executable *.adb in _docdir and debug
> folders readme.txt from main package contains also executable. I think you
> should remove executable bit from sources

Good catch. I thought RPMbuild would take care of the file permissions but apparently it removes executable bits only in some directories. Fixed.

https://www.rombobjörn.se/packages/zlib-ada.spec
https://www.rombobjörn.se/packages/zlib-ada-1.4-0.2.20120830CVS.fc17.src.rpm

Comment 5 Pavel Zhukov 2012-09-02 11:32:13 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Ada ====
[x]: MUST Spec MUST be done with "ExclusiveArch: %{GNAT_arches}"
[x]: MUST All packages that contain Ada code MUST have "BuildRequires: fedora-
     gnat-project-common"
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[-]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[-]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source2 (build_zlib_ada.gpr) Source3 (zlib_ada.gpr)
     == It's OK for grp files.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Package is APPROVED

Comment 6 Björn Persson 2012-09-02 15:45:21 UTC
Thanks for the review. Could you also set the fedora-review flag to +?

Comment 7 Pavel Zhukov 2012-09-02 16:02:58 UTC
Sorry. Fixed

Comment 8 Björn Persson 2012-09-02 16:59:45 UTC
New Package SCM Request
=======================
Package Name: zlib-ada
Short Description: Zlib for Ada
Owners: rombobeorn landgraf
Branches: f18 f17 f16
InitialCC:

Comment 9 Gwyn Ciesla 2012-09-03 00:23:12 UTC
SCM request and BZ package names don't match, please correct case.

Comment 10 Gwyn Ciesla 2012-09-03 02:14:35 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2012-09-03 07:59:59 UTC
zlib-ada-1.4-0.3.20120830CVS.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zlib-ada-1.4-0.3.20120830CVS.fc17

Comment 12 Fedora Update System 2012-09-03 08:00:15 UTC
zlib-ada-1.4-0.3.20120830CVS.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zlib-ada-1.4-0.3.20120830CVS.fc16

Comment 13 Fedora Update System 2012-09-03 08:00:31 UTC
zlib-ada-1.4-0.3.20120830CVS.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/zlib-ada-1.4-0.3.20120830CVS.fc18

Comment 14 Fedora Update System 2012-09-03 17:20:55 UTC
zlib-ada-1.4-0.3.20120830CVS.fc18 has been pushed to the Fedora 18 testing repository.

Comment 15 Fedora Update System 2012-09-17 17:35:26 UTC
zlib-ada-1.4-0.3.20120830CVS.fc17 has been pushed to the Fedora 17 stable repository.

Comment 16 Fedora Update System 2012-09-17 17:40:11 UTC
zlib-ada-1.4-0.3.20120830CVS.fc16 has been pushed to the Fedora 16 stable repository.

Comment 17 Fedora Update System 2012-09-18 00:03:03 UTC
zlib-ada-1.4-0.3.20120830CVS.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.